#!/usr/bin/env python
#coding: utf-8

import socket

def say(text, host=None, port=1314, tempo = None, freq = None,
            track = None, samplefreq = None):
    sl = ['speak']
    if tempo:
        sl += ['-t', str(tempo)]
    if freq:
        sl += ['-f', str(freq)]
    if track:
        sl += ['-l', str(track)]
    if samplefreq:
        sl += ['-r', str(samplefreq)]
    sl.append(str(text))
    
    sl=' '.join(sl)
    if not host:
        host = '127.0.0.1'
    server_address = (host, port)
    sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    sock.connect(server_address)
    try:
        sock.sendall(sl.encode('utf-8'))
    except:
        sock.sendall(sl)
    rc=sock.recv(64)
    sock.close()
    return rc == b'OK'
    
def stopSpeaking(host=None, port=1314):
    if not host:
        host = '127.0.0.1'
    server_address = (host, port)
    sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    sock.connect(server_address)
    sock.sendall(b'stop')
    rc=sock.recv(64)
    sock.close()
    return rc == b'OK'

def isSpeaking(host=None, port=1314):
    if not host:
        host = '127.0.0.1'
    server_address = (host, port)
    sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    sock.connect(server_address)
    sock.sendall(b'status')
    rc=sock.recv(64)
    sock.close()
    return rc == b'busy'
    
def mouthBrightness(brightness, host=None, port=1314):
    if not host:
        host = '127.0.0.1'
    data = b'bright %d' % brightness
    server_address = (host, port)
    sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    sock.connect(server_address)
    sock.sendall(data)
    rc=sock.recv(64)
    sock.close()
    return rc == b'OK'
